(function(window) {
	if (typeof qqsdApp != 'undefined')
		return false;
    var qqsdApp = {
        _events: {
            'close': 1,
            'login': 1,
            'regist': 1,
            'home': 1,
            'master': 1,
            'betfair': 1,
            'extreme': 1,
            'thread': 1,
            'news': 1,
            'titlebar': 1,
            'share': 1,
            'quiz': 1,
            'match': 1,
            'fixture': 1,
            'wallet': 1,
            'coin': 1,
            'redpacket': 1,
            'link':1,
            'app_pay':1,
            'user':1,
            'recomthread':1,
            'market':1,
            'go':1,
            'titletext':1,
            'firstpage':1
        },
        invoke: function(messiName, options) {
            if (typeof qqsdApp._events[messiName] === 'undefined') {
                return false;
            }
            if (typeof options === 'undefined') {
                options = "";
            } else {
                try {
                    options = JSON.stringify(options);
                } catch(e) {
                    options = "";
                }
            }
            nativeApi.androidinvoke(messiName, options);
            return true;
        },
        getInfo: function() {
            var info;
            try {
                info = nativeApi.getInfo();
                info = JSON.parse(info);
            } catch(e) {
                return {};
            }
            return info;
        }
    };
    window.qqsdApp = qqsdApp;
})(window);